--- old/usr/src/lib/libproc/common/Pcore.c	Thu Jan  1 16:27:55 2015
+++ new/usr/src/lib/libproc/common/Pcore.c	Thu Jan  1 16:27:55 2015
@@ -26,6 +26,7 @@
  * Copyright 2012 DEY Storage Systems, Inc.  All rights reserved.
  * Copyright (c) 2014, Joyent, Inc. All rights reserved.
  * Copyright (c) 2013 by Delphix. All rights reserved.
+ * Copyright 2015 Gary Mills
  */
 
 #include <sys/types.h>
@@ -49,7 +50,9 @@
 #include "Pcontrol.h"
 #include "P32ton.h"
 #include "Putil.h"
+#if defined(__i386) || defined(__amd64)
 #include "Pcore_linux.h"
+#endif
 
 /*
  * Pcore.c - Code to initialize a ps_prochandle from a core dump.  We
@@ -431,6 +434,8 @@
 	return (-1);
 }
 
+#if defined(__i386) || defined(__amd64)
+
 static void
 lx_prpsinfo32_to_psinfo(lx_prpsinfo32_t *p32, psinfo_t *psinfo)
 {
@@ -629,6 +634,8 @@
 	return (-1);
 }
 
+#endif /* defined(__i386) || defined(__amd64) */
+
 static int
 note_psinfo(struct ps_prochandle *P, size_t nbytes)
 {
@@ -1125,9 +1132,17 @@
  */
 static int (*nhdlrs[])(struct ps_prochandle *, size_t) = {
 	note_notsup,		/*  0	unassigned		*/
+#if defined(__i386) || defined(__amd64)
 	note_linux_prstatus,		/*  1	NT_PRSTATUS (old)	*/
+#else
+	note_notsup,		/*  1	NT_PRSTATUS (old)	*/
+#endif
 	note_notsup,		/*  2	NT_PRFPREG (old)	*/
+#if defined(__i386) || defined(__amd64)
 	note_linux_psinfo,		/*  3	NT_PRPSINFO (old)	*/
+#else
+	note_notsup,		/*  3	NT_PRPSINFO (old)	*/
+#endif
 #ifdef __sparc
 	note_xreg,		/*  4	NT_PRXREG		*/
 #else
@@ -2201,7 +2216,9 @@
 	struct stat64 stbuf;
 	void *phbuf, *php;
 	size_t nbytes;
+#if defined(__i386) || defined(__amd64)
 	boolean_t from_linux = B_FALSE;
+#endif
 
 	elf_file_t aout;
 	elf_file_t core;
@@ -2449,9 +2466,11 @@
 			 * The presence of either of these notes indicates that
 			 * the dump was generated on Linux.
 			 */
+#if defined(__i386) || defined(__amd64)
 			if (nhdr.n_type == NT_PRSTATUS ||
 			    nhdr.n_type == NT_PRPSINFO)
 				from_linux = B_TRUE;
+#endif
 		} else {
 			(void) note_notsup(P, nhdr.n_descsz);
 		}
@@ -2473,6 +2492,7 @@
 		nleft -= sizeof (nhdr) + namesz + descsz;
 	}
 
+#if defined(__i386) || defined(__amd64)
 	if (from_linux) {
 		size_t tcount, pid;
 		lwp_info_t *lwp;
@@ -2526,6 +2546,7 @@
 		(void) memcpy(&P->status.pr_lwp, &lwp->lwp_status,
 		    sizeof (P->status.pr_lwp));
 	}
+#endif /* defined(__i386) || defined(__amd64) */
 
 	if (nleft != 0) {
 		dprintf("Pgrab_core: note section malformed\n");
